<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kym.mapper.admin.FeedbackMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.kym.entity.admin.Feedback">
        <result column="title" property="title" />
        <result column="type" property="type" />
        <result column="status" property="status" />
        <result column="content" property="content" />
        <result column="submit_time" property="submitTime" />
        <result column="attach_list" property="attachList" />
        <result column="submit_user_id" property="submitUserId" />
        <result column="reply_content" property="replyContent" />
        <result column="reply_time" property="replyTime" />
        <result column="reply_user_id" property="replyUserId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        title, type, status, content, submit_time, attach_list, submit_user_id, reply_content, reply_time, reply_user_id
    </sql>

</mapper>
